Eclipse GEF 3.3

## org.eclipse.gef.palette
Class SelectionToolEntry

    java.lang.Object
      org.eclipse.gef.palette.PaletteEntry
          org.eclipse.gef.palette.ToolEntry
              org.eclipse.gef.palette.SelectionToolEntry

Direct Known Subclasses:
  PanningSelectionToolEntry

public class SelectionToolEntry
extends ToolEntry

A ToolEntry for a `SelectionTool`.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.gef.palette.ToolEntry
`PALETTE_TYPE_TOOL`

Fields inherited from class org.eclipse.gef.palette.PaletteEntry
`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

Constructor Summary
`SelectionToolEntry()` Creates a new SelectionToolEntry.
`SelectionToolEntry(java.lang.String label)` Constructor for SelectionToolEntry.
`SelectionToolEntry(java.lang.String label, java.lang.String shortDesc)` Constructor for SelectionToolEntry.

Methods inherited from class org.eclipse.gef.palette.ToolEntry
`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

Methods inherited from class org.eclipse.gef.palette.PaletteEntry
`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectionToolEntry

    public SelectionToolEntry()

  Creates a new SelectionToolEntry.

### SelectionToolEntry

    public SelectionToolEntry(java.lang.String label)

  Constructor for SelectionToolEntry.

Parameters:
  `label` - the label

### SelectionToolEntry

    public SelectionToolEntry(java.lang.String label,
                              java.lang.String shortDesc)

  Constructor for SelectionToolEntry.

Parameters:
  `label` - the label
  `shortDesc` - the description

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.